'''
Created on 7 aout 2012

@author: gerard
'''
import logging

logger = logging.getLogger('document')

class DocumentaryFilesGetAttributes(object):

    def __init__(self, request):
        self.request = request
    
    def get_user(self):
        user = ''
        try:
            user = self.request.GET['user']
        except Exception, err:
            logger.info('No user in the http get request. ' + str(err))
        return user
    
    def get_offset(self):
        offset = ''
        try:
            offset = self.request.GET['offset']
        except Exception, err:
            logger.info('No offset in the http get request. ' + str(err))
        return offset
    
    def get_count(self):
        count = ''
        try:
            count = self.request.GET['count']
        except Exception, err:
            logger.info('No count in the http get request. ' + str(err))
        return count